package com.hh.arome.common.scan.idcard.manymodels.er301;

import android.util.Log;

import com.eidlink.serial_idocr.bean.EidlinkInitParams;
import com.eidlink.serial_idocr.sdk.EidLinkSE;
import com.eidlink.serial_idocr.sdk.EidLinkSEFactory;
import com.hh.arome.utlis.log.AppLogUtils;


public class ReadCardManagerER301 {
    public static EidLinkSE eid;
    public static boolean isJpg;


    public static void initEid(int modelType, int findFlag) {

        /**
         * @param declevel    是否读照片 0 读照片 1读文本
         * @param model       模式  0 串口 1usb
         * @param find_flag   寻卡类型 0 一次 1 循环
         * @param read_model  读卡模式 0 触发式读卡（贴一下读一下），1 重复读卡（测试环境中使用）
         * @param pic_type   0 原始数据，1 明文数据 (读头掉电重启生效)
         * @param usb_receive usb的收发模式，0 64字节循环接收，1 单次接收
         * @brief 初始化参数
         */

        EidlinkInitParams eidlinkInitParams = new EidlinkInitParams(0, modelType, findFlag, 1, 1, 1);
        eid = EidLinkSEFactory.getEidLinkSE(eidlinkInitParams);

        // 设置环境和port
//        eid.setIP("es-new.beekey.com.cn");

        try {
            eid.setIP("es.eidlink.com");
            eid.setPort(9699);
        } catch (Exception e) {
            e.printStackTrace();
            AppLogUtils.e("e:"+e.toString());
        }

    }


}
